<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package NDesign
 */

get_header();
?>
<div class="container  py-5">
	<div class="row">
		<div class="col-12 col-lg-8">
			<div id="primary" class="content-area">
				<main id="main" class="site-main">
					<section class="error-404 not-found">
						<header class="page-header">
							<h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'ndesign' ); ?></h1>
						</header><!-- .page-header -->
						<div class="page-content">
							<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try to search something ?', 'ndesign' ); ?></p>
							<?php get_search_form(); ?>

						</div><!-- .page-content -->
					</section><!-- .error-404 -->
				</main><!-- #main -->
			</div><!-- #primary -->
		</div>
		<div class="col-12 col-lg-4">
			<div class="mb-3">
				<?php get_search_form(); ?>
			</div>
			<?php the_widget( 'WP_Widget_Recent_Posts' ); ?>
			<div class="widget widget_categories">
				<h2 class="widget-title"><?php esc_html_e( 'Most Used Categories', 'ndesign' ); ?></h2>
				<ul>
					<?php
						wp_list_categories(
							array(
								'orderby'    => 'count',
								'order'      => 'DESC',
								'show_count' => 1,
								'title_li'   => '',
								'number'     => 10,
							)
						);
						?>
				</ul>
			</div><!-- .widget -->
			<?php
			/* translators: %1$s: smiley */
			$ndesign_archive_content = '<p>' . sprintf( esc_html__( 'Try looking in the monthly archives. %1$s', 'ndesign' ), convert_smilies( ':)' ) ) . '</p>';
			the_widget( 'WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$ndesign_archive_content" );
			the_widget( 'WP_Widget_Tag_Cloud' );
			?>
		</div>
	</div>
</div>
<?php
get_footer();
